Subject: Re: bug#29812: 27.0.50; electric-quote-replace-double misbehaves in Lisp strings

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Jan 2018 18:50:16 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 07 Jan 2018 12:56:31 +0000
> Cc: [email-masked]
> 
>  >  I mean some way of inserting “foo” inside a string.  Is that possible
>  >  somehow?
>  >
>  > Sure, either by inserting the characters in some other way, or by using `` and '' (double apostrophe).
> 
>  Then maybe we should just give up on electric-quote-replace-double
>  inside strings, and use double apostrophes instead?
> 
> Why? It works as designed and expected – that is, a double quote will terminate the string. That is what users
> want most of the time. Also, there are many languages where strings aren't double-quoted, such as Python. 

Once again, my problem is that one cannot insert “foo” inside strings
(unless in languages where strings are quoted 'like this', I guess).
So I'm saying that we probably shouldn't advertise this method for
text in strings in programming modes, because it doesn't really work
there.